

#ifndef _INC_MAGIC_
#define _INC_MAGIC_

#include <stdio.h>
#include "strings.h"

int    magicGetChar(FILE *fp);
int    magicGetInt(FILE *fp, int *xp);
int    magicGetString(FILE *fp, String *sp);
int    magicGetFloat(FILE *fp, float *xp);
int    magicStart();
String magicComment();


#endif 
